#!/usr/bin/python
# -*- coding: utf-8 -*-

# Cagou: desktop/mobile frontend for Salut à Toi XMPP client
# Copyright (C) 2016 Jérôme Poisson (goffi@goffi.org)

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


from sat.core import log as logging
log = logging.getLogger(__name__)
from sat.core.i18n import _
from kivy.uix.boxlayout import BoxLayout
from kivy import properties


PLUGIN_INFO = {
    "name": _(u"file"),
    "main": "FileUploader",
    "description": _(u"upload a local file"),
}


class FileUploader(BoxLayout):
    callback = properties.ObjectProperty()
    cancel_cb = properties.ObjectProperty()

    def onUploadOK(self, filechooser):
        if filechooser.selection:
            file_path = filechooser.selection[0]
            self.callback(file_path)
